Skip to main content
GET
/
transfer
/
{transactionId}
Get transfer status
curl --request GET \
  --url https://api.zet.money/v1/transfer/{transactionId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "id": "txn_01H8X3...",
    "type": "onramp",
    "status": "pending",
    "chain": "base",
    "amount": "100",
    "tokenSymbol": "USDC",
    "transactionHash": "0xabc...",
    "reference": "order_12345",
    "walletId": "wal_01H8X3...",
    "fees": {
      "platformFee": "<string>",
      "providerFee": "<string>",
      "totalFee": "<string>"
    },
    "ramp": {
      "fiatAmount": "150000",
      "fiatCurrency": "NGN",
      "bankAccount": {
        "bankName": "<string>",
        "accountNumber": "<string>",
        "accountName": "<string>"
      }
    },
    "swap": {
      "fromToken": "USDC",
      "toToken": "ETH",
      "fromAmount": "100",
      "toAmount": "0.0285"
    },
    "transfer": {
      "fromChain": "base",
      "toChain": "ethereum",
      "destinationAddress": "0xdef..."
    },
    "errorMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Your Zet API key. Contact zetdotmoney@gmail.com to obtain your keys.

Path Parameters

transactionId
string
required

Response

Transfer status.

success
boolean
Example:

true

data
object